Skip to main content
PATCH
/
webhooks
/
{id}
Update a webhook
curl --request PATCH \
  --url https://api.awardee.dev/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [],
  "description": "<string>",
  "isActive": true
}
'
{
  "object": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>",
  "description": "<string>",
  "events": [
    "<string>"
  ],
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Path Parameters

id
string<uuid>
required

Body

application/json
url
string<uri>

New public https URL that deliveries are POSTed to.

events
enum<string>[]

Replacement set of event types to subscribe to.

Required array length: 1 - 36 elements
Available options:
conversation.created,
conversation.updated,
message.created,
page.submission.created,
submission.updated,
qr_code.scanned,
qr_code.updated,
qr_group.created,
qr_group.updated,
qr_group.deleted,
product.scanned,
product.created,
product.updated,
product.deleted,
object.scanned,
object.created,
object.updated,
object.deleted,
chatbot.created,
chatbot.updated,
chatbot.deleted,
article.created,
article.updated,
article.deleted,
article.published,
article.unpublished,
article.indexed,
article.indexing_failed,
article_category.created,
article_category.updated,
article_category.deleted,
member.invited,
member.joined,
member.removed,
member.role_changed,
invitation.revoked
description
string | null

Optional human-readable label.

Maximum string length: 500
isActive
boolean

Set false to pause delivery, true to resume.

Response

Webhook

object
string
required
Allowed value: "webhook_endpoint"
id
string<uuid>
required
url
string<uri>
required
description
string | null
required
events
string[]
required
is_active
boolean
required
created_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
updated_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$